Subject: Re: Help w/ GS Appletalk Net
From: [email-masked] (Dan Crutcher)
Date: Thu, 31 Mar 1994 04:50:43 GMT
Newsgroups: comp.sys.apple2

[email-masked] (Steven Nelson) writes:

>Of course, the same was true or AW3 and UM4.[012] - no appletalk!  This is
>_NOT_ net-work friendly!

>some feature that your upgrade didn't get!  If AW4 does work on a net-work,
>I want to know about it!

I use AW3 and AW4 on an AppleTalk network almost every day. There are two 
"tricks" you need to know about:

1. Launch AW (3 or 4) from ProSel-16, _not_ from Finder. ProSel-16 
"cleans" something up that allows macros to work without crashing. Many 
users have reported this.

2. To use macros in AW4 with AppleTalk enabled, apply the following 
patch: In APLWORKS.SYSTEM, change offset +142B from EE to 2C. If +142B is 
_not_ EE your version, search for EE 96 0A in that approximate area. Of 
course you will need a disk editor to make this change, and please do it 
to a _copy_ of AW4, not to the original disk.

Newsgroups: comp.sys.apple2
Path: news.weeg.uiowa.edu!news.uiowa.edu!hobbes.physics.uiowa.edu!newsrelay.iastate.edu!vixen.cso.uiuc.edu!howland.reston.ans.net!usc!crash!pro-ict!jimp
From: [email-masked] (Jim Parker)
Subject: Re: Help w/ GS Appletalk Net
Organization: ProLine [pro-ict] -- Wichita, KS
Date: Tue, 29 Mar 1994 23:06:45 GMT
Message-ID: <[email-masked]>
To: comp-sys-apple2@crash
In-Reply-To: [email-masked] (Steven Nelson)
References: <[email-masked]>
Sender: [email-masked] (news subsystem)
Nntp-Posting-Host: crash.cts.com
Lines: 30

In <[email-masked]>
[email-masked] (Steven Nelson) writes:

stuff deleted
>Randy, where did you get your version of Applework4? :)  I got 4.0 and 4.01
>from QC and dnloaded make402 from AOL.  All 3 versions are _not_ what I
>consider network friendly.  Ultramacros is _completely_ disabled if Appletalk
>is detected.  Thus, I have to run in two different environments:
>  1) No Appletalk, so I can run my macros. then
>  2)  Appletalk, but NO macros, so I can print to my Appletalk IW2 or a
>lasewrwriter NT.
>
>Of course, the same was true or AW3 and UM4.[012] - no appletalk!  This is
>_NOT_ net-work friendly!

There's a one byte patch you can make to APLWORKS.SYSTEM so that it no longer
disallows macros with AppleTalk active. Please, please, please don't complain
to me, Randy Brandt or Quality Computers if you end up crashing; the whole
intent was to avoid problems until it could be fixed for real (which,
according to Randy, would take a lot of code and a major rewrite). Anyway, if
this works for you (and it happens to for me, the few times I've tried it)
then great; if not, just go back to the way it was.
 
Using your favorite disk editor, follow APLWORKS.SYSTEM and find the sequence
EE 96 OA which probably starts at +142B (it does in 4.02). Change EE to 2C.
That's it. Good luck!

__________
Jim Parker                        Always yield to temptation. It may not 
[email-masked]              pass your way again.  -- Lazarus Long